<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->string('en_name')->nullable();
            $table->string('fa_name')->nullable();
            $table->string('thumbnail')->nullable();
            $table->json('media')->nullable();
            $table->text('en_description')->nullable();
            $table->text('fa_description')->nullable();
            $table->decimal('price');
            $table->integer('discount');
            $table->string('slug');
            $table->boolean('is_featured')->default(false);
            $table->boolean('is_active')->default(true);
            $table->foreignId('product_category_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('products');
    }
};
